// ----------------------------------------------------------------------------------
/* [z-11 project]
 * (c) 1999 Copyright Malekith
 * <malekith@topnet.pl> <http://malekith.topnet.pl>
 * For info about copying see file copying.z11.
 *
 * file "Gun.h", created on 27/06/99.
 * descr : gun object (which can be shougun as well as crossbow or warhammer)
 *
 */
// ----------------------------------------------------------------------------------
#ifndef GunH
#define GunH

#ifndef ObjectsH
#include "Objects.h"
#endif

#ifndef AnimBmpH
#include "AnimBmp.h"
#endif

// ----------------------------------------------------------------------------------
class FileReader;
class Weapon : public GameObject {
  protected:
    // guns lying on the ground not supprted yet
    virtual SpriteBitmap * getBitmapAng(float) { return 0; }
    timer_t shotStart;
    bool shooting;
    int shotTime,nx,ny;
    XStr gfxPath,shotS,normalS;
    AnimBitmap <WeaponBitmap> normalFrames;
    AnimBitmap <WeaponBitmap> shotFrames;
  public:
    OkStuff(0x60866217);
    Weapon() : shooting(false), shotTime(1*ups), nx(320), ny(200) { setId(); }
    bool shoot();
    void updateScreen(MetaBmp & target);
    void read(FileReader & src);
    virtual XStr className() { return "Weapon"; }
};
// ----------------------------------------------------------------------------------

#endif // GunH



